Patchwork [dora] libsoup-2.4: add intltool-native to DEPENDS

login
register
mail settings
Submitter Paul Eggleton
Date Dec. 19, 2013, 11:46 a.m.
Message ID <1387453595-20914-1-git-send-email-paul.eggleton@linux.intel.com>
Download mbox | patch
Permalink /patch/63587/
State New
Headers show

Comments

Paul Eggleton - Dec. 19, 2013, 11:46 a.m.
The configure script looks for this; most of the time dependency chains
ensure this is present but we need to be explicit or failures can
occur.

Reported by Nicolas Dechesne <nicolas.dechesne@linaro.org>

(From OE-Core master rev: 22e45ed7d74ceb4a719e7b5889400c20ed4a0783)

Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
---
 meta/recipes-support/libsoup/libsoup-2.4_2.42.1.bb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Robert Yang - Dec. 23, 2013, 2:05 a.m.
Thanks, I will add it to dora-next.

// Robert

On 12/19/2013 07:46 PM, Paul Eggleton wrote:
> The configure script looks for this; most of the time dependency chains
> ensure this is present but we need to be explicit or failures can
> occur.
>
> Reported by Nicolas Dechesne <nicolas.dechesne@linaro.org>
>
> (From OE-Core master rev: 22e45ed7d74ceb4a719e7b5889400c20ed4a0783)
>
> Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
> ---
>   meta/recipes-support/libsoup/libsoup-2.4_2.42.1.bb | 2 +-
>   1 file changed, 1 insertion(+), 1 deletion(-)
>
> diff --git a/meta/recipes-support/libsoup/libsoup-2.4_2.42.1.bb b/meta/recipes-support/libsoup/libsoup-2.4_2.42.1.bb
> index ef8d439..1614a3d 100644
> --- a/meta/recipes-support/libsoup/libsoup-2.4_2.42.1.bb
> +++ b/meta/recipes-support/libsoup/libsoup-2.4_2.42.1.bb
> @@ -7,7 +7,7 @@ LIC_FILES_CHKSUM = "file://COPYING;md5=5f30f0716dfdd0d91eb439ebec522ec2"
>
>   SECTION = "x11/gnome/libs"
>
> -DEPENDS = "glib-2.0 gnutls libxml2 libproxy sqlite3"
> +DEPENDS = "glib-2.0 gnutls libxml2 libproxy sqlite3 intltool-native"
>
>   # libsoup-gnome is entirely deprecated and just stubs in 2.42 onwards.  Enable
>   # by default but let it be easily disabled.
>

Patch

diff --git a/meta/recipes-support/libsoup/libsoup-2.4_2.42.1.bb b/meta/recipes-support/libsoup/libsoup-2.4_2.42.1.bb
index ef8d439..1614a3d 100644
--- a/meta/recipes-support/libsoup/libsoup-2.4_2.42.1.bb
+++ b/meta/recipes-support/libsoup/libsoup-2.4_2.42.1.bb
@@ -7,7 +7,7 @@  LIC_FILES_CHKSUM = "file://COPYING;md5=5f30f0716dfdd0d91eb439ebec522ec2"
 
 SECTION = "x11/gnome/libs"
 
-DEPENDS = "glib-2.0 gnutls libxml2 libproxy sqlite3"
+DEPENDS = "glib-2.0 gnutls libxml2 libproxy sqlite3 intltool-native"
 
 # libsoup-gnome is entirely deprecated and just stubs in 2.42 onwards.  Enable
 # by default but let it be easily disabled.